at.chipkarte.client.muhi.soap

## Class Adresse

- Object
- - at.chipkarte.client.muhi.soap.Adresse

-     public class Adresse
      extends Object

  Wohnadresse der Patientin.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Adresse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getOrt()` Ort.
    `String` | `getPostleitzahl()` Postleitzahl.
    `String` | `getStaatencode()` Staatenbezeichnung nach dem ISO Alpha 3 Kürzel. z.B.: AUT für Österreich.
    `String` | `getStrasse()` Strasse (+ Stiege / Hausnummer / Türnummer) bzw.
    `void` | `setOrt(String ort)`
    `void` | `setPostleitzahl(String postleitzahl)`
    `void` | `setStaatencode(String staatencode)`
    `void` | `setStrasse(String strasse)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Adresse

          public Adresse()

  - ### Method Detail

    - #### getStrasse

          public String getStrasse()

      Strasse (+ Stiege / Hausnummer / Türnummer) bzw. Ort + Hausnummer.
      Format: max. 50 Zeichen.
      Angabe: Muss.
      Returns:
        strasse

    - #### setStrasse

          public void setStrasse(String strasse)

    - #### getOrt

          public String getOrt()

      Ort.
      Format: max. 40 Zeichen.
      Angabe: Muss.
      Returns:
        ort

    - #### setOrt

          public void setOrt(String ort)

    - #### getPostleitzahl

          public String getPostleitzahl()

      Postleitzahl.
      Format: 3-9 Zeichen.
      Angabe: Muss.
      Returns:
        postleitzahl

    - #### setPostleitzahl

          public void setPostleitzahl(String postleitzahl)

    - #### getStaatencode

          public String getStaatencode()

      Staatenbezeichnung nach dem ISO Alpha 3 Kürzel. z.B.: AUT für Österreich.
      Mögliche Werte siehe `getStaaten`.
      Angabe: Muss.
      Returns:
        Staat.

    - #### setStaatencode

          public void setStaatencode(String staatencode)